
/* FeatureVector.java.

	$Log: FeatureVector.java,v $
	Revision 1.1  2006/04/26 13:19:18  richard
	Added the file.
	
 
 */


package jsvmstruct;

public class FeatureVector {
	
	public int[] indices;
	public double[] values;
	
	public String toString() {
		StringBuffer buf = new StringBuffer();
		buf.append("[");
		for(int i = 0; i < indices.length - 1; i++) {
			buf.append(indices[i]);
			buf.append(":");
			buf.append(values[i]);
			buf.append(" ");
		}
		if(indices.length > 0) {
			buf.append(indices[indices.length - 1]);
			buf.append(":");
			buf.append(values[indices.length - 1]);
		}
		buf.append("]");
		return buf.toString();
	}
	
	public FeatureVector copy() {
		FeatureVector out = new FeatureVector();
		
		int n = indices.length;
		
		out.indices = new int[n];
		out.values = new double[n];
		
		System.arraycopy(indices, 0, out.indices, 0, n);
		System.arraycopy(values, 0, out.values, 0, n);
		
		return out;
	}
	
}
